Bug 810104 - F17 Beta RC3 live image not bootable via EFI when written to an actual disc
F17 Beta RC3 live image not bootable via EFI when written to an actual disc
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
Depends On:
Blocks: F17-accepted/F17FinalFreezeExcept
  Show dependency treegraph
Reported: 2012-04-05 03:28 EDT by Adam Williamson
Modified: 2013-01-10 03:28 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-05-04 09:26:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2012-04-05 03:28:51 EDT
The F17 Beta RC3 x86-64 desktop live image isn't bootable via EFI when written to an actual optical disc (DVD or CD).

The DVD and netinst images are EFI bootable when written to optical disc, and the desktop live is EFI bootable when written to USB with litd (but not when written to USB with dd - I've filed a separate bug for that).

[adamw@vaioz fedora]$ ls /media/Fedora-17-Beta-x86_64-Live-Deskt/EFI/ -ltR
total 2
dr-xr-xr-x. 2 adamw adamw 2048 Apr  4 07:56 boot

total 17941
-r--r--r--. 2 adamw adamw      473 Apr  4 07:56 bootx64.conf
-r-xr-xr-x. 1 adamw adamw   340560 Apr  4 07:56 bootx64.efi
-r--r--r--. 2 adamw adamw      473 Apr  4 07:56 grub.conf
-r--r--r--. 2 adamw adamw 12938372 Apr  4 07:56 initrd0.img
-r--r--r--. 2 adamw adamw    24576 Apr  4 07:56 isolinux.bin
-r--r--r--. 2 adamw adamw     2227 Apr  4 07:56 isolinux.cfg
-r--r--r--. 2 adamw adamw   176760 Apr  4 07:56 memtest
-r--r--r--. 1 adamw adamw    67229 Apr  4 07:56 splash.xpm.gz
-r--r--r--. 2 adamw adamw   155792 Apr  4 07:56 vesamenu.c32
-r--r--r--. 2 adamw adamw  4661840 Apr  4 07:56 vmlinuz0
Comment 1 Chris Murphy 2012-04-05 18:05:06 EDT
Should this be against "LiveCD" instead of livecd-tools? The livecd-iso-to-disk script produces an (U)EFI bootable USB stick from RC3  for me, but burning RC3 is not EFI bootable. So I suspect the reason why the dd to USB is also not EFI bootable is directly related to why the Live CD is not EFI bootable.

Neither RC1 nor RC3 burned to DVD-RW produces EFI bootable media for me, did not test RC2. I know one of the beta TC's or alpha did.
Comment 2 Brian Lane 2012-04-05 18:26:07 EDT
This is a problem with the buildroot, they need to use the newest version of livecd-creator.

the LiveCD component is, I think, a dead project. Live creation issues should be livecd-tools and netboot/dvd iso issues should be lorax.
Comment 3 Adam Williamson 2012-04-06 01:00:23 EDT
bcl believes that just building RC4 with livecd-tools 17.7 should be sufficient unto the purpose. Nominating as a Beta NTH so we can pull it into the compose environment.

chris: livecd-tools includes livecd-creator as well, the script which is used to actually generate the live images.

Brian says the reason dd'ed DVDs and netinst images are not EFI bootable is different from this bug.

Fedora Bugzappers volunteer triage team
Comment 4 Dennis Gilmore 2012-04-06 10:44:55 EDT
We use whats in the stable repo to compose livecds, if we need a newer version then it needs to have a blocker bug  so that it can be evaluated  and decided if its needed.
Comment 5 Adam Williamson 2012-04-09 23:15:16 EDT
Dennis, this is nominated as NTH for that reason.

Discussed at 2012-04-06 NTH review meeting - http://meetbot.fedoraproject.org/fedora-bugzappers/2012-04-06/f17-beta-blocker-review-5.2012-04-06-17.01.log.html . Accepted as NTH as we obviously want EFI bootable composes and the fix is safe.

Fedora Bugzappers volunteer triage team
Comment 6 Kamil Páral 2012-04-12 08:13:39 EDT
Beta is out, moving to F17 Final NTH
Comment 7 Brian Lane 2012-04-12 09:16:31 EDT
Adam, did RC4 (not RC4.1) boot on EFI when written to a real disc?
Comment 8 Chris Murphy 2012-04-13 22:52:50 EDT
99% sure* I have RC4, not RC4.1. Dated 4/10.

LiveCD on a real disk booting real EFI hardware (Apple), I get three "EFI Boot" labeled options. Two reboot to Mac OS. One drops to a Grub legacy prompt.

DVD media on real disk, one "EFI Boot" option. Grub legacy and its menu come up, kernel, initrd load fine and I get to a prompt. i.e. appears to boot.

I could be mistaken on the cause, but this behavior is the same as what I was getting during alphas with the netinst.iso that mjg was working on for mactel boot.

* I'd confirm this myself, but the prior betaRC4 and RC4.1 links are MIA, so I can't find the checksum files. This is what I have:
LiveCD: SHA256 $E1C9C5A7D6929E5F5EE9AEBB18C25AAED14A715493AD29664446C492F1A76D0A
DVD:  SHA256 $1C32F758B669C9105590C5FAAEF1FFD69AC326469E487CD2770529A24E00B5C8
Comment 9 satellitgo 2012-04-14 19:01:59 EDT
http://koji.fedoraproject.org/koji/getfile?taskID=3978914&name=Fedora-17-Beta-x86_64-Live-Desktop.iso (BETA?)

Burned to CD: shows Mac and "Windows" icons 
"Windows" boots fine to Gnome3 Desktop on MacBook Pro i7
NO EFI Icons appear to the right of "Windows"
Examination of CD's contents show EFI; isolinux;and LiveOS folders and GPL file
All Folders contain files
Comment 10 Brian Lane 2012-04-16 16:25:17 EDT
Note that there was a problem with grub-0.97-88 (included in the beta) booting from dd'd USB sticks. grub-0.97-89 fixed that issue for me. It is possible that it will fix booting from real discs as well.
Comment 11 Brian Lane 2012-05-03 12:19:19 EDT
Tested with Fedora-17.TC2 Live Desktop image and it boots on EFI just fine.
Comment 12 Chris Murphy 2012-05-03 14:52:52 EDT
Works for me as well.
Comment 13 Adam Williamson 2012-05-04 09:26:31 EDT
if two people say it works, let's close it.

Fedora Bugzappers volunteer triage team
Comment 14 Chris Murphy 2012-05-14 11:12:32 EDT
This is no longer working in TC5. i.e. burned to actual media, I get a "Windows" only option, no EFI options. I'm not sure if the regression occurred in TC3, TC4 or TC5.
Comment 15 Adam Williamson 2012-05-14 13:43:20 EDT
<bcl> adamw: FYI - TC5 live desktop is missing the EFI images on the .iso (according to dumpet -i)
<bcl> usually that means mkefiboot failed so the files/dirs didn't get created.
<bcl> It should be obvious from the build logs.

That's likely a different bug, so we'll file it separately.

Fedora Bugzappers volunteer triage team
Comment 16 Adam Williamson 2012-05-14 19:04:49 EDT
Turns out that there was a stale livecd-tools build in the bleed repo so we wound up composing TC4 and TC5 with livecd-tools 17.4. This should be resolved for TC6/RC1.

Fedora Bugzappers volunteer triage team
Comment 17 Chris Murphy 2012-05-16 13:32:36 EDT
On a MBP 4,1 I have EFI boot options, all three of them drop me to a grub prompt. None boot.
dd to USB does work.
Comment 18 Chris Murphy 2012-05-16 13:35:30 EDT
(In reply to comment #17)
Refers to Final RC1 Live Desktop.
Comment 19 Chris Murphy 2012-05-19 11:52:24 EDT
EFI boot working on Macs in Final RC2.

Note You need to log in before you can comment on or make changes to this bug.